Loading...
Searching...
No Matches
ringcomm.hh File Reference
`#include <mpi.h>`
`#include <functional>`
`#include <utility>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/geometry/type.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Parallel

## Macros

#define | CheckMPIStatus(A, B)

## Functions

template<typename OP, typename... Args>
void | Dune::Parallel::MPI_AllApply (MPI_Comm mpicomm, OP &&op, const Args &... data)
| apply an operator locally to a difstributed data set

## Macro Definition Documentation

## CheckMPIStatus

#define CheckMPIStatus | ( |  | A,
|  |  | B )

Value:
{}

Todo
  Implement MPI Status check with exception handling